

/**
 * Sorts the specified sub-array of ints into ascending order.
 */
void quickSort(int x[], int off, int len);

/**
 * Sorts the specified sub-array of ints into ascending order
 * w.r.t. a given comparator array.
 */
void quickSort(int x[], int off, int len, int comp[]);

/**
 * Sorts the specified sub-array of ints into ascending order.
 */
void heapsort (int *x, const int len);

/**
 * Sorts the specified sub-array of ints into ascending order
 * w.r.t. a given comparator array.
 */
void heapsort (int *x, const int len, int* comp);

/**
 * Sorts the specified sub-array of ints into ascending order.
 */
void insertSort (int *x, int len);

/**
 * Search key in sorted array x (with offset offset and length len).
 */
int binarySearch(int key, int* x, int offset, int len);
